> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Scrape

> Can be used to retrieve response for a scrape.



## OpenAPI

````yaml openapi/scrapes.json GET /v1/scrapes/{scrape_id}
openapi: 3.0.3
info:
  title: Scrapes API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/scrapes/{scrape_id}:
    get:
      summary: Retrieve scrape result
      description: >-
        This endpoint allows users to retrieve the result of a previously
        initiated scrape.
      parameters:
        - name: scrape_id
          in: path
          required: true
          description: Unique identifier for the scrape to be retrieved.
          schema:
            type: string
      responses:
        '200':
          description: Successful response with the scrape result.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Scrape ID
                  object:
                    type: string
                    description: The kind of object. "scrape" for this endpoint.
                  created:
                    type: number
                    description: Created epoch
                  metadata:
                    type: object
                    description: User-defined metadata.
                  url_to_scrape:
                    type: string
                    description: The URL that was scraped.
                  result:
                    type: object
                    properties:
                      html_content:
                        type: string
                      markdown_content:
                        type: string
                      json_content:
                        type: string
                        description: Content from parser
                      screenshot_hosted_url:
                        type: string
                      html_hosted_url:
                        type: string
                      markdown_hosted_url:
                        type: string
                      links_on_page:
                        type: array
                        items:
                          type: string
                      page_metadata:
                        type: object
                        properties:
                          status_code:
                            type: integer
                          title:
                            type: string
                      size_exceeded:
                        type: boolean
                        description: >-
                          If size of content exceeds the limit. If yes, use
                          hosted S3 urls to get content.
                  credits_consumed:
                    type: integer
                    nullable: true
                    description: >-
                      Number of credits consumed by this request. Populated
                      after execution completes. Credits are the source of truth
                      for billing.
                  cost_usd:
                    type: number
                    nullable: true
                    description: >-
                      Estimated cost in USD for this request. Populated after
                      execution completes. Calculated from credits consumed and
                      your plan rate — 99% accurate, but credits_consumed is the
                      authoritative value.
        '400':
          description: Bad request due to incorrect or missing parameters.
        '402':
          description: Payment required due to invalid API key.
        '404':
          description: Not found error when the requested scrape is not found.
        '500':
          description: Internal server error.
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````